Bug 26061 - gdb-internal-error: lin-lwp.c:694
Summary: gdb-internal-error: lin-lwp.c:694
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-05 11:46 UTC by Tim Waugh
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 00:30:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:159 high SHIPPED_LIVE Updated gdb is available 2001-11-26 05:00:00 UTC

Description Tim Waugh 2001-02-05 11:46:41 UTC
While trying to debug kdm I keep getting this:

(gdb) b SessionExit
Breakpoint 1 at 0x805aea2: file session.c, line 633.
(gdb) c
Continuing.
Delayed SIGSTOP caught for LWP 1431.
gdb-internal-error: lin-lwp.c:694: lin_lwp_wait: Assertion `WIFSTOPPED
(status) && WSTOPSIG (status) == SIGSTOP' failed.
An internal GDB error was detected.  This may make further
debugging unreliable.  Continue this debugging session? (y or n)

Comment 1 Trond Eivind Glomsrxd 2001-02-05 23:56:54 UTC
Argh. Yet another GDB bug...

Comment 2 Don Howard 2001-02-16 21:29:24 UTC
I've not been able to reproduce this on a fresh install of fisher with kdm built
from the source rpm.  Can you provide more info on your environment?

Comment 3 Trond Eivind Glomsrxd 2001-02-28 23:05:58 UTC
Tim, does this still happen with 5.0rh-3?

Comment 4 Tim Waugh 2001-03-01 12:29:21 UTC
No.


Note You need to log in before you can comment on or make changes to this bug.